@font-face
{
font-family: "curse";
src: url("fonts/curse.eot");
}

@font-face
{
font-family: "curse";
src: url("fonts/curse.ttf");
}

body
{
width:800px;
height:480px;
padding:0px;
margin:0px;
overflow:hidden;
font-family:curse;
font-size:20px;
background:#212121;
}

#main_div
{
position:absolute;
top:0px;
left:0px;
width:800px;
height:480px;
overflow:hidden;
padding:0;
margin:0;
}

#frontpage_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
text-align:center;
color:#0f0;
font-size:30px;
cursor:pointer;
background:#00f;
animation: animatedbg 20s linear infinite;
display:none;
}

#game_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:#00f;
//animation: animatedbg 15s linear infinite;
display:none;
}

@keyframes animatedbg
{
0% { background-position: 0 0; }
50% { background-position: 0 128px; }
100% { background-position: 0 256px; }
}

#timer_div
{
position:absolute;
top:6px;
left:731px;
font-size:23px;
width:200px;
color:#fff;
}

#score_div
{
position:absolute;
top:6px;
left:10px;
font-size:23px;
width:200px;
color:#fff;
}

#answer_input
{
position: absolute;
top: 428px;
left: 644px;
width: 49px;
height:27px;
font-family: curse;
font-size: 25px;
text-align: center;
}

#grid_div
{
position:absolute;
top:130px;
left:315px;
width:201px;
height:201px;
background-size:20px 20px;
background-image: linear-gradient(to right, #fff 1px, transparent 1px), linear-gradient(to bottom, #fff 1px, transparent 1px);
}

#shape_info
{
position:absolute;
top:340px;
left:315px;
width:201px;
text-align:center;
color:#fff;
}

.circle
{
position:absolute;
top:50%;
left:50%;
border-radius:50%;
border:1px solid #fff;
background:#0f0;
cursor:pointer;
}

.sphere
{
position:absolute;
top:50%;
left:50%;
border-radius:50%;
border:1px solid #fff;
background: radial-gradient(circle at 100% 100%, #fff, #0f0);
cursor:pointer;
}


.square
{
position:absolute;
top:50%;
left:50%;
border:1px solid #fff;
background:#0f0;
cursor:pointer;
}

.triangle
{
position:absolute;
top:50%;
left:50%;
width: 0%;
height: 0%;
border-left: 100px solid transparent;
border-right: 100px solid transparent;
border-bottom: 173.2px solid black;
cursor:pointer;
}

#calculator_div
{
position:absolute;
top:50px;
left:2px;
//display:none;
}

#formula_div
{
position:absolute;
width:100%;
color:#fff;
font-size:20px;
}

#calc_table td
{
border:1px solid #fff;
border-radius:3px;
font-size:25px;
width:45px;
height:35px;
text-align:center;
text-shadow:2px 2px #000;
color:#fff;
background:rgba(0,0,0,0.5);
}

.button
{
position:absolute;
cursor:pointer;
background-image:url(images/blank.gif);
}

#greyout
{
background-color: #000;
filter:alpha(opacity=40);
opacity: 0.4;
-moz-opacity:0.4;
z-index: 0;
height: 100%;
width: 100%;
background-repeat:no-repeat;
background-position:center;
position:absolute;
top: 0px;
left: 0px;
display:none;
}

#popup_close
{
position:absolute;
top:3px;
right:5px;
font-weight:bold;
font-size:14px;
cursor:pointer;
}

#panel_div
{
position:absolute;
top:100px;
right:0px;
width:161px;
height:340px;
background:rgba(0, 0, 0, 0.5);
font-size:16px;
border:1px solid #000;
border-radius:4px;
text-align:center;
z-index:100;
display:none;
}

#arrow_container
{
position:absolute;
top:50%;
left:50%;
text-align:center;
}

#arrow_right
{
position:absolute;
border:solid #000;
border-width:0px 1px 1px 0px;
width:10px;
height:10px;
transform:rotate(-45deg);
top:50%;
right:0px;
margin-top:-5px;
margin-left:-5px;
}

#line_right
{
position:absolute;
border:1px solid #000;
width:100%;
height:0px;
top:50%;
left:0px;
}

#radius_div
{
margin-top:-10px;
}

#shapes_added
{
position:absolute;
top:50px;
left:10px;
width:200px;
border:1px solid #fff;
border-radius:4px;
color:#fff;
text-align:center;
}

#intro_div
{
font-size:24px;
width:500px;
margin-left:-250px;
height:auto;
display:none;
}

#house_div
{
position:absolute;
top:200px;
left:10px;
}

#truck_div
{
position:absolute;
top:300px;
left:-370px;
width:370px;
}

#result_popup
{
width:420px;
margin-left:-210px;
height:auto;
}

.popup_big
{
position:absolute;
top:100px;
left:50%;
margin-left:-125px;
width:250px;
height:125px;
background:#fff;
font-size:47px;
color:#000;
border:1px solid #000;
border-radius:4px;
text-align:center;
padding:20px;
z-index:100;
display:none;
}

.button, .button:visited
{
background: #222 url(images/blank.gif) repeat-x;
display: inline-block;
padding: 5px 10px 6px;
color: #fff;
text-decoration: none;
border-radius: 5px;
-webkit-border-radius: 5px;
box-shadow: 0 1px 3px rgba(0,0,0,0.5);
-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.5);
text-shadow: 0 -1px 1px rgba(0,0,0,0.25);
border-bottom: 1px solid rgba(0,0,0,0.25);
position: relative;
cursor: pointer;
}

.button:hover { background-color: #111; color: #fff; }
.button:active { top: 1px; }
.small.button, .small.button:visited { font-size: 11px; padding: ; }
.button, .button:visited,
.medium.button, .medium.button:visited { font-size: 13px; font-weight: bold; line-height: 1; text-shadow: 0 -1px 1px rgba(0,0,0,0.25); }
.large.button, .large.button:visited { font-size: 24px; padding: 8px 14px 9px; }

.grey.button, .grey.button:visited { background-color: #e2e2e2; }
.grey.button:hover { background-color: #e2e2e2; }
.green.button, .green.button:visited { background-color: #91bd09; }
.green.button:hover { background-color: #749a02; }
.blue.button, .blue.button:visited { background-color: #2daebf; }
.blue.button:hover { background-color: #007d9a; }
.red.button, .red.button:visited { background-color: #e33100; }
.red.button:hover { background-color: #872300; }
.magenta.button, .magenta.button:visited { background-color: #a9014b; }
.magenta.button:hover { background-color: #630030; }
.orange.button, .orange.button:visited { background-color: #ff5c00; }
.orange.button:hover { background-color: #d45500; }
.yellow.button, .yellow.button:visited { background-color: #ffb515; }
.yellow.button:hover { background-color: #fc9200; }